import { Voice } from "../../voice";
import { AbstractLanguageModel } from "../AbstractLanguageModel";
import { TelephonyContext } from "../types";
import { OpenAIParams } from "./types";
declare const LANGUAGE_MODEL_NAME = "llm.openai";
declare class OpenAI extends AbstractLanguageModel {
    constructor(params: OpenAIParams, voice: Voice, telephonyContext: TelephonyContext);
}
export { LANGUAGE_MODEL_NAME, OpenAI };
